{{ if .Values.serviceAccount.enabled -}}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ include "credential-service.service.account.name" . }}
  namespace: {{ include "credential-service.namespace" . }}
  labels:
    {{- include "credential-service.labels" . | nindent 4 }}
automountServiceAccountToken: false
{{- end }}
